Update Discovery Scan Config

This method allows users to update the discovery configuration. Supported schedule types for update discovery config is -daily/weekly/monthly. Account and device names must be provided as mandatory inputs for this method. Key ‘schedule’ accepts ‘daily’, ‘weekly’, and ‘monthly’ as values.

KeyMeaningMandatoryData Type
accountAccount name or IDYesstring
devicenameName of the device whose discovery config is updatedYesstring
targetsTarget IP addresses for discovery scanNoarray
scheduleSchedule frequency (daily, weekly, monthly)Nostring
starttimeScan start time (format: HH:MM:AM/PM)Nostring
endtimeScan end time (format: HH:MM:AM/PM)Nostring
monthoftheyearMonth of the year (numeric value)Nostring
weekofthemonthWeek of the month (numeric values, comma-separated)Nostring
dayoftheweekDay of the week (numeric value)Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.NetworkScanner.updateDiscoveryScanConfig(
  account="Demo Account",
  devicename="endpoint_device"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json